Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class KeyPairGeneratorAdapter

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--gnu.crypto.jce.KeyPairGeneratorAdapter

Direct Known Subclasses:
  DSSKeyPairGeneratorSpi, RSAKeyPairGeneratorSpi

abstract class KeyPairGeneratorAdapter
extends java.security.KeyPairGeneratorSpi

The implementation of a generic `KeyPairGenerator` adapter class to wrap gnu.crypto keypair generator instances.

This class defines the Service Provider Interface (SPI) for the `KeyPairGenerator` class, which is used to generate pairs of public and private keys.

All the abstract methods in the `KeyPairGeneratorSpi` class are implemented by this class and all its sub-classes.

In case the client does not explicitly initialize the KeyPairGenerator (via a call to an `initialize()` method), the GNU Crypto provider supplies (and document) default values to be used. For example, the GNU Crypto provider uses a default modulus size (keysize) of 1024 bits for the DSS (Digital Signature Standard) a.k.a DSA.

Version:
  $Revision: 1.1 $

Field Summary
`protected IKeyPairGenerator` | `adaptee` Our underlying keypair instance.

Constructor Summary
`protected` | `KeyPairGeneratorAdapter(java.lang.String kpgName)` Trivial protected constructor.

Method Summary
`java.security.KeyPair` | `generateKeyPair()`
`abstract void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`abstract void` | `initialize(int keysize, java.security.SecureRandom random)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adaptee

    protected IKeyPairGenerator adaptee

  Our underlying keypair instance.

Constructor Detail

### KeyPairGeneratorAdapter

    protected KeyPairGeneratorAdapter(java.lang.String kpgName)

  Trivial protected constructor.
  Parameters:
    `kpgName` - the canonical name of the keypair generator algorithm.

Method Detail

### initialize

    public abstract void initialize(int keysize,
                                    java.security.SecureRandom random)

  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`

### initialize

    public abstract void initialize(java.security.spec.AlgorithmParameterSpec params,
                                    java.security.SecureRandom random)
                             throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Overrides:
    `generateKeyPair` in class `java.security.KeyPairGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.